<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Javascript Basics</title>

    <script type="text/javascript">

        var printHelloWorld = function (){              /* Implementation is function as a variable */
            console.log("Hello World.");
        }

        function printNameWithMsg(msg){                 /* Usual function implementation */
            console.log("My name is delta.tango...");
            msg();
        }

        printNameWithMsg(printHelloWorld);              /* Function arg is also a function */

    </script>
</head>
<body>
<!--This body is empty-->
</body>
</html>